summaryrefslogtreecommitdiff
path: root/nonsystemd/xinetd-openrc/xinetd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/xinetd-openrc/xinetd.initd')
-rw-r--r--nonsystemd/xinetd-openrc/xinetd.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/nonsystemd/xinetd-openrc/xinetd.initd b/nonsystemd/xinetd-openrc/xinetd.initd
new file mode 100644
index 000000000..4f2c68e91
--- /dev/null
+++ b/nonsystemd/xinetd-openrc/xinetd.initd
@@ -0,0 +1,23 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the BSD License
+
+extra_started_commands="reload dump"
+
+supervisor=supervise-daemon
+pidfile=/run/xinetd.pid
+command=xinetd
+command_args="${XINETD_OPTS} -dontfork"
+
+depend() {
+ use net
+}
+
+do_sig() {
+ local sig=$1 ; shift
+ ebegin "$*"
+ supervise-daemon "$command" --signal ${sig}
+ eend $?
+}
+reload() { do_sig HUP "Reloading configuration" ; }
+dump() { do_sig USR1 "Dumping configuration" ; }